#!/bin/sh
error_exit() {
  echo $*
  exit
}

_ssh=( $* )
_command=xterm
[ ${#_ssh[*]} -le 0 ] && error_exit "$(basename $0) <id@hostname> [ <id@hostname2> ...] "
_ssh_path=( $(whereis ssh) )
[ ${#_ssh_path[*]} -le 1 ] && error_exit "Can't not found ssh command"
[ -n "$DISPLAY" ] || error_exit "Can't find X terminal or X environment"

_ssh="ssh -X ${_ssh[0]} "
for i in $(seq 1 $(expr ${#_ssh[*]} - 1) ); do
   _ssh="$_ssh \"ssh -X ${_ssh[$i]} "
done

_ssh="$_ssh $_command"

for i in $(seq 1 $(expr ${#_ssh[*]} - 1)); do
   _ssh="$_ssh \" "
done


_tmp=$(mktemp /tmp/ssh.XXXXXXXXXXXXXXXX)
echo $_ssh > $_tmp
chmod +x $_tmp

_screen=( $(whereis screen) )
if [ ${#_screen[*]} -gt 0 ]; then
  screen $_tmp
else
  $_tmp
fi
rm -f $_tmp
